libvisio::VSDNURBSTo1 Class Reference documentation

libvisio::VSDNURBSTo1 Class Reference
Inheritance diagram for libvisio::VSDNURBSTo1:

## Public Member Functions
| VSDNURBSTo1 (unsigned id, unsigned level, double x2, double y2, unsigned char xType, unsigned char yType, unsigned degree, std::vector< std::pair< double, double > > controlPoints, std::vector< double > knotVector, std::vector< double > weights)
| ~VSDNURBSTo1 () override
void | handle (VSDCollector *collector) const override
VSDGeometryListElement * | clone () override
Public Member Functions inherited from libvisio::VSDGeometryListElement
| VSDGeometryListElement (unsigned id, unsigned level)
virtual | ~VSDGeometryListElement ()
virtual unsigned | getDataID () const
void | setLevel (unsigned level)

## Public Attributes
double | m_x2
double | m_y2
unsigned | m_xType
unsigned | m_yType
unsigned | m_degree
std::vector< std::pair< double, double > > | m_controlPoints
std::vector< double > | m_knotVector
std::vector< double > | m_weights

## Additional Inherited Members
Protected Attributes inherited from libvisio::VSDGeometryListElement
unsigned | m_id
unsigned | m_level

## Constructor & Destructor Documentation

## ◆ VSDNURBSTo1()

libvisio::VSDNURBSTo1::VSDNURBSTo1 | ( | unsigned | id,
|  | unsigned | level,
|  | double | x2,
|  | double | y2,
|  | unsigned char | xType,
|  | unsigned char | yType,
|  | unsigned | degree,
|  | std::vector< std::pair< double, double > > | controlPoints,
|  | std::vector< double > | knotVector,
|  | std::vector< double > | weights )
| inline

Referenced by clone().

## ◆ ~VSDNURBSTo1()

libvisio::VSDNURBSTo1::~VSDNURBSTo1 | ( |  | ) |
| inlineoverride

## Member Function Documentation

## ◆ clone()

libvisio::VSDGeometryListElement * libvisio::VSDNURBSTo1::clone | ( |  | ) |
| overridevirtual

Implements libvisio::VSDGeometryListElement.

## ◆ handle()

void libvisio::VSDNURBSTo1::handle | ( | VSDCollector * | collector | ) | const
| overridevirtual

Implements libvisio::VSDGeometryListElement.

## Member Data Documentation

## ◆ m_controlPoints

std::vector<std::pair<double, double> > libvisio::VSDNURBSTo1::m_controlPoints

Referenced by clone(), handle(), and VSDNURBSTo1().

## ◆ m_degree

unsigned libvisio::VSDNURBSTo1::m_degree

Referenced by clone(), handle(), and VSDNURBSTo1().

## ◆ m_knotVector

std::vector<double> libvisio::VSDNURBSTo1::m_knotVector

Referenced by clone(), handle(), and VSDNURBSTo1().

## ◆ m_weights

std::vector<double> libvisio::VSDNURBSTo1::m_weights

Referenced by clone(), handle(), and VSDNURBSTo1().

## ◆ m_x2

double libvisio::VSDNURBSTo1::m_x2

Referenced by clone(), handle(), and VSDNURBSTo1().

## ◆ m_xType

unsigned libvisio::VSDNURBSTo1::m_xType

Referenced by clone(), handle(), and VSDNURBSTo1().

## ◆ m_y2

double libvisio::VSDNURBSTo1::m_y2

Referenced by clone(), handle(), and VSDNURBSTo1().

## ◆ m_yType

unsigned libvisio::VSDNURBSTo1::m_yType

Referenced by clone(), handle(), and VSDNURBSTo1().

The documentation for this class was generated from the following file:

- VSDGeometryList.cpp